export interface ColumnType {
    rowItemBindKey: string;
    rowItemTitleName: string;
    rowItemDefaultValue: string;
    rowItemWidth: number;
    rowItemTextAlgin: string;
    rowItemType: string;
    rowItemColor: string;
    rowItemFontFamily: string;
    rowItemFontSize: number;
    rowItemFontWeight: string;
    rowItemFontStyle: string;
    rowItemTextDecoration: string;
    rowItemIsSelect: boolean;
    rowItemSelectFontFamily: string;
    rowItemSelectColor: string;
    rowItemSelectFontSize: number;
    rowItemSelectFontWeight: string;
    rowItemSelectFontStyle: string;
    rowItemSelectTextDecoration: string;
    rowItemSelectIsBackgroundColor: boolean;
    rowItemSelectBackgroundColor: string;
}
export interface BBasicTableComponentProps {
    content: Array<object>;
    componentData: Array<object>;
    layerName: string;
    isDisplay: boolean;
    fieldTag: string;
    isRelation: boolean;
    transform: string;
    width: string;
    height: string;
    widthValue: string;
    heightValue: string;
    left: string;
    top: string;
    isBackgroundColor: boolean;
    backgroundColor: string;
    rowItemHeight: string;
    rowItemNumber: number;
    rowItemSpace: string;
    rowItemBorderRadius: string;
    rowItemIsBorder: boolean;
    rowItemBorderColor: string;
    rowItemBorderWidth: string;
    rowItemBorderStyle: string;
    rowItemBackgroundColorType: string;
    rowItemBackgroundColorDouble1: string;
    rowItemBackgroundColorDouble2: string;
    rowItemBackgroundColorSimple: string;
    rowTitleIsShow: boolean;
    rowTitleIsBackgroundColor: boolean;
    rowTitleBackgroundColor: string;
    rowTitleHeight: string;
    rowTitleColor: string;
    rowTitleFontFamily: string;
    rowTitleFontSize: string;
    rowTitleFontWeight: string;
    rowTitleFontStyle: string;
    rowTitleTextDecoration: string;
    rowItemIsHover: boolean;
    rowItemHoverIsBackgroundColor: boolean;
    rowItemHoverBackgroundColor: string;
    rowItemHoverIsBorder: boolean;
    rowItemHoverBorderColor: string;
    rowItemHoverBorderWidth: string;
    rowItemHoverBorderStyle: string;
    rowItemIsSelect: boolean;
    rowItemSelectType: string;
    rowItemSelectIsBackgroundColor: boolean;
    rowItemSelectBackgroundColor: string;
    rowItemSelectIsBorder: boolean;
    rowItemSelectBorderColor: string;
    rowItemSelectBorderWidth: string;
    rowItemSelectBorderStyle: string;
    rowItemIsSwapper: boolean;
    rowItemSwapperTime: number;
    rowItemIsOverflow: boolean;
    rowItemOverflowTime: number;
    columnItemSpace: string;
    columnItemList: ColumnType[];
}
export declare const bBasicTableDefaultProps: BBasicTableComponentProps;
export declare const bBasicTableStylePropNames: string[];
